Bug 1653028 - system automatically shutdown after no activity
Summary: system automatically shutdown after no activity
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-power-manager
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-24 18:05 UTC by Josef Kubin
Modified: 2018-12-06 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 23:55:34 UTC


Attachments (Terms of Use)
dmidecode result (16.30 KB, text/plain)
2018-11-24 18:05 UTC, Josef Kubin
no flags Details

Description Josef Kubin 2018-11-24 18:05:20 UTC
Created attachment 1508380 [details]
dmidecode result

Description of problem:
After 20 minutes of inactivity system automatically shutdown.
I have Fedora 29 MATE desktop (basic installation)

Version-Release number of selected component (if applicable):
Fedora 29; Mate 1.20.3

How reproducible:
always

What I (unsuccessfully) tried:
System ---> Preferences ---> Hardware ---> Power Management
disable all power choices in [On AC Power|On Battery Power|General]

dconf-editor (and disable all suspicious switches)

systemctl mask sleep.target
systemctl mask suspend.target


Actual results:
after 20 minutes inactivity system shutdown

Additional info:
I have laptop in docking station (see my dmidecode) with closed lid.

Comment 1 Wolfgang Ulbrich 2018-11-24 20:31:03 UTC
There is no setting in power-manager which do power off the system.
There are only settings for suspend-to-ram or -disk.
Does the issue exists if you don't use the docking station?

Comment 2 Josef Kubin 2018-11-26 10:21:38 UTC
I have found (ugly) workaround:

$ dconf-editor
org.gnome.desktop.session idle-delay

300 ---> 4000000000

Comment 3 Wolfgang Ulbrich 2018-11-26 11:09:18 UTC
Mate use same session name than Gnome for making it easier to interact with other programs.
But that means that there is a new setting in gnome which power off the system when session is inactive.
Or this is a bug?

Comment 4 leigh scott 2018-11-26 20:55:14 UTC
(In reply to Josef Kubin from comment #2)
> I have found (ugly) workaround:
> 
> $ dconf-editor
> org.gnome.desktop.session idle-delay
> 
> 300 ---> 4000000000

Are you going to live that long :-), 126.83 years is a long time.

Comment 5 Josef Kubin 2018-12-06 23:55:34 UTC
The culprit of unexpected power-off was 'vlc' with camera screen:

$ vlc -f 'rtmp://192.168.0.6/bcs/channel0_main.bcs?channel=0&stream=0&user=admin&password='

After several dozen minutes laptop shuts-down to prevent self-ignition.

Outside od docking station cooling is better, therefore worked without power-off.

Not a bug.


Note You need to log in before you can comment on or make changes to this bug.